- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Unique_Id_Strategy Class Reference

Unique id strategy. More...

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Unique_Id_Strategy:

[legend]
Collaboration diagram for TAO_Unique_Id_Strategy:

[legend]
List of all members.

## Public Member Functions
virtual int | is_servant_in_map (PortableServer::Servant servant, int &deactivated)
| Must be used with UNIQUE_ID policy.
virtual int | unbind_using_user_id (const PortableServer::ObjectId &user_id)
virtual int | find_user_id_using_servant (PortableServer::Servant servant, PortableServer::ObjectId_out user_id)
virtual int | find_system_id_using_servant (PortableServer::Servant servant, PortableServer::ObjectId_out system_id, CORBA::Short &priority)
virtual int | bind_using_user_id (PortableServer::Servant servant, const PortableServer::ObjectId &user_id, CORBA::Short priority, TAO_Active_Object_Map_Entry *&entry)
virtual CORBA::Boolean | remaining_activations (PortableServer::Servant servant)

## Detailed Description

Unique id strategy.

Strategy for the UNIQUE_ID policy.

## Member Function Documentation

int TAO_Unique_Id_Strategy::bind_using_user_id | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id,
|  | CORBA::Short | priority,
|  | TAO_Active_Object_Map_Entry *& | entry |
| ) |  |  | `[virtual]`

Can be used with any policy. With the SYSTEM_ID policy, <user_id> is actually <system_id>.

Implements TAO_Id_Uniqueness_Strategy.

int TAO_Unique_Id_Strategy::find_system_id_using_servant | ( | PortableServer::Servant | servant,
|  | PortableServer::ObjectId_out | system_id,
|  | CORBA::Short & | priority |
| ) |  |  | `[virtual]`

Must be used with UNIQUE_ID policy. With the SYSTEM_ID policy, <user_id> is actually <system_id>.

Implements TAO_Id_Uniqueness_Strategy.

int TAO_Unique_Id_Strategy::find_user_id_using_servant | ( | PortableServer::Servant | servant,
|  | PortableServer::ObjectId_out | user_id |
| ) |  |  | `[virtual]`

Must be used with UNIQUE_ID policy. With the SYSTEM_ID policy, <user_id> is actually <system_id>.

Implements TAO_Id_Uniqueness_Strategy.

int TAO_Unique_Id_Strategy::is_servant_in_map | ( | PortableServer::Servant | servant,
|  | int & | deactivated |
| ) |  |  | `[virtual]`

Must be used with UNIQUE_ID policy.

Implements TAO_Id_Uniqueness_Strategy.

CORBA::Boolean TAO_Unique_Id_Strategy::remaining_activations | ( | PortableServer::Servant | servant | ) | `[virtual]`

Are there any remaining activations of <servant> in the active object map? Can be used with any policy.

Implements TAO_Id_Uniqueness_Strategy.

int TAO_Unique_Id_Strategy::unbind_using_user_id | ( | const PortableServer::ObjectId & | user_id | ) | `[virtual]`

Can be used with any policy. With the SYSTEM_ID policy, <user_id> is actually <system_id>.

Implements TAO_Id_Uniqueness_Strategy.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp